package com.mortals.xhx.module.area.dao.ibatis;


import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.area.dao.AreaDao;
import com.mortals.xhx.module.area.model.AreaEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 区域DaoImpl DAO接口
*
* @author zxfei
* @date 2022-01-12
*/
@Repository("areaDao")
public class AreaDaoImpl extends BaseCRUDDaoMybatis<AreaEntity,Long> implements AreaDao {


    @Override
    public List<AreaEntity> selectChildrenAreaById(String areaId) {
        return getSqlSession().selectList(getSqlId("selectChildrenAreaById"), areaId);
    }

}
