package com.mortals.xhx.module.business.service;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.business.model.BusinessMatterEntity;
import com.mortals.xhx.module.business.model.BusinessMatterQuery;

/**
* BusinessMatterService
*
* 业务事项关联 service接口
*
* @author zxfei
* @date 2022-01-12
*/
public interface BusinessMatterService extends ICRUDService<BusinessMatterEntity,Long>{


    Result<BusinessMatterEntity> getListByBusiness(BusinessMatterQuery query, PageInfo pageInfo, Context context);


    Result<BusinessMatterEntity> getListByMatter(BusinessMatterQuery query, PageInfo pageInfo, Context context);


}