package com.mortals.xhx.module.matters.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.matters.model.MattersDetailEntity;
import com.mortals.xhx.module.matters.model.MattersDetailQuery;
import com.mortals.xhx.module.matters.service.MattersDetailService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 事项详情
*
* @author zxfei
* @date 2022-03-30
*/
@RestController
@RequestMapping("matters/detail")
public class MattersDetailController extends BaseCRUDJsonMappingController<MattersDetailService,MattersDetailForm,MattersDetailEntity,Long> {

    @Autowired
    private ParamService paramService;

    public MattersDetailController(){
        super.setFormClass(MattersDetailForm.class);
        super.setModuleDesc( "事项详情");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, MattersDetailForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }

}