package com.mortals.xhx.module.site.web;

import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.framework.web.BasePhpCRUDJsonMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.site.model.SiteModelEntity;
import com.mortals.xhx.module.site.service.SiteModelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 站点模块
 *
 * @author zxfei
 * @date 2022-01-20
 */
@RestController
@RequestMapping("site/model")
public class SiteModelController extends BaseCRUDJsonBodyMappingController<SiteModelService, SiteModelEntity, Long> {

    @Autowired
    private ParamService paramService;

    public SiteModelController() {
        super.setFormClass(SiteModelForm.class);
        super.setModuleDesc("站点模块");
    }
}