package com.mortals.xhx.module.skin.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.skin.model.SkinFieldEntity;
import com.mortals.xhx.module.skin.model.SkinFieldQuery;
import com.mortals.xhx.module.skin.service.SkinFieldService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 皮肤属性字段配置
*
* @author zxfei
* @date 2022-05-24
*/
@RestController
@RequestMapping("skin/field")
public class SkinFieldController extends BaseCRUDJsonBodyMappingController<SkinFieldService,SkinFieldEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SkinFieldController(){
        super.setFormClass(SkinFieldForm.class);
        super.setModuleDesc( "皮肤属性字段配置");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "fieldType", paramService.getParamBySecondOrganize("SkinField","fieldType"));
        this.addDict(model, "fieldNull", paramService.getParamBySecondOrganize("SkinField","fieldNull"));
        this.addDict(model, "enabled", paramService.getParamBySecondOrganize("SkinField","enabled"));
        super.init(model, context);
    }


}