package com.mortals.xhx.module.window.service;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.window.model.WindowEntity;
/**
* WindowService
*
* 站点部门窗口 service接口
*
* @author zxfei
* @date 2022-01-12
*/
public interface WindowService extends ICRUDCacheService<WindowEntity,Long> {


    /**
     * 添加业务到窗口
     * @param businessIds
     * @param windowId
     * @param context
     */
    void addBusinessToWindow(String businessIds, Long windowId, Context context);



}