package com.mortals.xhx.feign.req;


import com.mortals.xhx.common.pdu.api.Page;
import lombok.Data;

/**
 * feign 基础请求参数对象
 *
 * @author: zxfei
 * @date: 2022/6/1 13:19
 */
@Data
public class BaseQueryReq<T>  {
    /**
     * 分页对象
     */
    private Page page;
    /**
     * 列表查询对象
     */
    private T query;

}
