-- ----------------------------
-- 用户信息业务菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '用户信息业务', '/user/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 用户信息业务资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '用户信息业务-菜单管理-查看', '/user/list,/user/view,/user/info,/user/export,/user/exportExcel,/user/downloadTemplate,/user/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '用户信息业务-菜单管理-维护', '/user/add,/user/edit,/user/delete,/user/logicDelete,/user/save,/user/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 用户信息业务参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '用户类型', 'User', 'userType', '0', '系统用户', 1, 4, 0, 'userType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '用户类型', 'User', 'userType', '1', '普通用户', 1, 4, 0, 'userType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '用户类型', 'User', 'userType', '2', '工作人员', 1, 4, 0, 'userType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '用户状态', 'User', 'status', '0', '停用', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '用户状态', 'User', 'status', '1', '正常', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '用户状态', 'User', 'status', '2', '冻结', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '用户状态', 'User', 'status', '3', '销户', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '用户状态', 'User', 'status', '4', '离职', 1, 4, 0, 'status', NULL, NULL, NULL);
-- ----------------------------
-- 角色信息菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '角色信息', '/role/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 角色信息资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '角色信息-菜单管理-查看', '/role/list,/role/view,/role/info,/role/export,/role/exportExcel,/role/downloadTemplate,/role/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '角色信息-菜单管理-维护', '/role/add,/role/edit,/role/delete,/role/logicDelete,/role/save,/role/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 角色信息参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '角色类型', 'Role', 'roleType', '0', '系统内置角色', 1, 4, 0, 'roleType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '角色类型', 'Role', 'roleType', '1', '默认系统角色', 1, 4, 0, 'roleType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '角色类型', 'Role', 'roleType', '2', '普通角色', 1, 4, 0, 'roleType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '角色状态', 'Role', 'status', '0', '停用', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '角色状态', 'Role', 'status', '1', '启用', 1, 4, 0, 'status', NULL, NULL, NULL);
-- ----------------------------
-- 角色用户关联菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '角色用户关联', '/role/user/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 角色用户关联资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '角色用户关联-菜单管理-查看', '/role/user/list,/role/user/view,/role/user/info,/role/user/export,/role/user/exportExcel,/role/user/downloadTemplate,/role/user/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '角色用户关联-菜单管理-维护', '/role/user/add,/role/user/edit,/role/user/delete,/role/user/logicDelete,/role/user/save,/role/user/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 角色用户关联参数 SQL
-- ----------------------------
-- ----------------------------
-- 角色菜单权限关联菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '角色菜单权限关联', '/role/auth/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 角色菜单权限关联资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '角色菜单权限关联-菜单管理-查看', '/role/auth/list,/role/auth/view,/role/auth/info,/role/auth/export,/role/auth/exportExcel,/role/auth/downloadTemplate,/role/auth/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '角色菜单权限关联-菜单管理-维护', '/role/auth/add,/role/auth/edit,/role/auth/delete,/role/auth/logicDelete,/role/auth/save,/role/auth/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 角色菜单权限关联参数 SQL
-- ----------------------------
-- ----------------------------
-- 菜单信息业务菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '菜单信息业务', '/menu/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 菜单信息业务资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '菜单信息业务-菜单管理-查看', '/menu/list,/menu/view,/menu/info,/menu/export,/menu/exportExcel,/menu/downloadTemplate,/menu/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '菜单信息业务-菜单管理-维护', '/menu/add,/menu/edit,/menu/delete,/menu/logicDelete,/menu/save,/menu/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 菜单信息业务参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '链接方式，', 'Menu', 'linkType', '0', '普通', 1, 4, 0, 'linkType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '链接方式，', 'Menu', 'linkType', '1', '弹出', 1, 4, 0, 'linkType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '链接方式，', 'Menu', 'linkType', '2', '脚本', 1, 4, 0, 'linkType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '菜单显示', 'Menu', 'visible', '0', '隐藏', 1, 4, 0, 'visible', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '菜单显示', 'Menu', 'visible', '1', '显示', 1, 4, 0, 'visible', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '菜单类型', 'Menu', 'menuType', '0', '目录', 1, 4, 0, 'menuType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '菜单类型', 'Menu', 'menuType', '1', '菜单', 1, 4, 0, 'menuType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '菜单类型', 'Menu', 'menuType', '2', '按钮', 1, 4, 0, 'menuType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '菜单状态', 'Menu', 'status', '0', '禁用', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '菜单状态', 'Menu', 'status', '1', '启用', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '权限类型', 'Menu', 'authType', '0', '无限制', 1, 4, 0, 'authType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '权限类型', 'Menu', 'authType', '1', '无需登录查看', 1, 4, 0, 'authType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '权限类型', 'Menu', 'authType', '2', '需要登录查看', 1, 4, 0, 'authType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '权限类型', 'Menu', 'authType', '3', '需要角色权限查看', 1, 4, 0, 'authType', NULL, NULL, NULL);
-- ----------------------------
-- 上传文件业务菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '上传文件业务', '/uploadfile/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 上传文件业务资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '上传文件业务-菜单管理-查看', '/uploadfile/list,/uploadfile/view,/uploadfile/info,/uploadfile/export,/uploadfile/exportExcel,/uploadfile/downloadTemplate,/uploadfile/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '上传文件业务-菜单管理-维护', '/uploadfile/add,/uploadfile/edit,/uploadfile/delete,/uploadfile/logicDelete,/uploadfile/save,/uploadfile/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 上传文件业务参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '文件类型，', 'Uploadfile', 'fileType', '1', 'excel', 1, 4, 0, 'fileType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '文件类型，', 'Uploadfile', 'fileType', '2', 'img', 1, 4, 0, 'fileType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '文件类型，', 'Uploadfile', 'fileType', '3', 'zip', 1, 4, 0, 'fileType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '文件类型，', 'Uploadfile', 'fileType', '4', 'pdf', 1, 4, 0, 'fileType', NULL, NULL, NULL);
-- ----------------------------
-- API服务菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, 'API服务', '/system/service/api/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- API服务资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, 'API服务-菜单管理-查看', '/system/service/api/list,/system/service/api/view,/system/service/api/info,/system/service/api/export,/system/service/api/exportExcel,/system/service/api/downloadTemplate,/system/service/api/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, 'API服务-菜单管理-维护', '/system/service/api/add,/system/service/api/edit,/system/service/api/delete,/system/service/api/logicDelete,/system/service/api/save,/system/service/api/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- API服务参数 SQL
-- ----------------------------
-- ----------------------------
-- API服务菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, 'API服务', '/system/service/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- API服务资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, 'API服务-菜单管理-查看', '/system/service/list,/system/service/view,/system/service/info,/system/service/export,/system/service/exportExcel,/system/service/downloadTemplate,/system/service/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, 'API服务-菜单管理-维护', '/system/service/add,/system/service/edit,/system/service/delete,/system/service/logicDelete,/system/service/save,/system/service/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- API服务参数 SQL
-- ----------------------------
-- ----------------------------
-- 参数信息业务菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '参数信息业务', '/param/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 参数信息业务资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '参数信息业务-菜单管理-查看', '/param/list,/param/view,/param/info,/param/export,/param/exportExcel,/param/downloadTemplate,/param/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '参数信息业务-菜单管理-维护', '/param/add,/param/edit,/param/delete,/param/logicDelete,/param/save,/param/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 参数信息业务参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '参数有效状态，', 'Param', 'validStatus', '0', '禁用', 1, 4, 0, 'validStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '参数有效状态，', 'Param', 'validStatus', '1', '启用', 1, 4, 0, 'validStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '参数修改状态', 'Param', 'modStatus', '0', '隐藏', 1, 4, 0, 'modStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '参数修改状态', 'Param', 'modStatus', '1', '页面仅查看', 1, 4, 0, 'modStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '参数修改状态', 'Param', 'modStatus', '2', '页面可修改', 1, 4, 0, 'modStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '参数修改状态', 'Param', 'modStatus', '3', '页面可删除', 1, 4, 0, 'modStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '参数修改状态', 'Param', 'modStatus', '4', '页面可修改删除', 1, 4, 0, 'modStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '展现类型', 'Param', 'displayType', '0', '普通文本框', 1, 4, 0, 'displayType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '展现类型', 'Param', 'displayType', '1', '多行文本框', 1, 4, 0, 'displayType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '展现类型', 'Param', 'displayType', '2', '开关', 1, 4, 0, 'displayType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '展现类型', 'Param', 'displayType', '3', '块输入框', 1, 4, 0, 'displayType', NULL, NULL, NULL);
-- ----------------------------
-- 任务信息业务菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '任务信息业务', '/task/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 任务信息业务资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '任务信息业务-菜单管理-查看', '/task/list,/task/view,/task/info,/task/export,/task/exportExcel,/task/downloadTemplate,/task/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '任务信息业务-菜单管理-维护', '/task/add,/task/edit,/task/delete,/task/logicDelete,/task/save,/task/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 任务信息业务参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '任务状态，', 'Task', 'status', '1', '执行中', 1, 4, 0, 'status', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '执行策略', 'Task', 'excuteStrategy', '1', '按日', 1, 4, 0, 'excuteStrategy', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '执行策略', 'Task', 'excuteStrategy', '2', '按周', 1, 4, 0, 'excuteStrategy', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '执行策略', 'Task', 'excuteStrategy', '3', '按月', 1, 4, 0, 'excuteStrategy', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '执行策略', 'Task', 'excuteStrategy', '4', '按间隔时间', 1, 4, 0, 'excuteStrategy', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '临时执行状态，', 'Task', 'interimExcuteStatus', '0', '未启用', 1, 4, 0, 'interimExcuteStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '临时执行状态，', 'Task', 'interimExcuteStatus', '1', '立即执行并保留', 1, 4, 0, 'interimExcuteStatus', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '临时执行状态，', 'Task', 'interimExcuteStatus', '2', '立即执行并删除', 1, 4, 0, 'interimExcuteStatus', NULL, NULL, NULL);
-- ----------------------------
-- 操作日志业务菜单 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_menu` VALUES (null, '操作日志业务', '/oper/log/list', 0, 1, 1, 0, 0,'',NULL, NULL, NULL, 0, 0, 1, NULL, NULL, NULL);

-- ----------------------------
-- 操作日志业务资源路径 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_resource` VALUES (null, '操作日志业务-菜单管理-查看', '/oper/log/list,/oper/log/view,/oper/log/info,/oper/log/export,/oper/log/exportExcel,/oper/log/downloadTemplate,/oper/log/download', 3, 0, NULL, NULL, NULL, 0);
INSERT INTO `mortals_xhx_resource` VALUES (null, '操作日志业务-菜单管理-维护', '/oper/log/add,/oper/log/edit,/oper/log/delete,/oper/log/logicDelete,/oper/log/save,/oper/log/importData', 3, 0, NULL, NULL, NULL, 0);

-- ----------------------------
-- 操作日志业务参数 SQL
-- ----------------------------
INSERT INTO `mortals_xhx_param` VALUES (null, '操作类型，', 'OperLog', 'operType', '0', '新增', 1, 4, 0, 'operType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '操作类型，', 'OperLog', 'operType', '1', '修改', 1, 4, 0, 'operType', NULL, NULL, NULL);
INSERT INTO `mortals_xhx_param` VALUES (null, '操作类型，', 'OperLog', 'operType', '2', '删除', 1, 4, 0, 'operType', NULL, NULL, NULL);
