package com.mortals.xhx.module.apps.model;

import java.util.List;
import com.mortals.xhx.module.apps.model.AppsCensusEntity;
/**
* 系统应用数据统计查询对象
*
* @author zxfei
* @date 2022-06-22
*/
public class AppsCensusQuery extends AppsCensusEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 应用ID，主键 */
    private Long appIdStart;

    /** 结束 应用ID，主键 */
    private Long appIdEnd;

    /** 增加 应用ID，主键 */
    private Long appIdIncrement;

    /** 应用ID，主键列表 */
    private List <Long> appIdList;

    /** 数据统计名称 */
    private List<String> censusNameList;

    /** 链接地址 */
    private List<String> censusUrlList;

    /** 开始 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1 */
    private Integer censusTypeStart;

    /** 结束 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1 */
    private Integer censusTypeEnd;

    /** 增加 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1 */
    private Integer censusTypeIncrement;

    /** 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1列表 */
    private List <Integer> censusTypeList;

    /** 开始 状态，0暂未开通，1已开通 */
    private Integer statusStart;

    /** 结束 状态，0暂未开通，1已开通 */
    private Integer statusEnd;

    /** 增加 状态，0暂未开通，1已开通 */
    private Integer statusIncrement;

    /** 状态，0暂未开通，1已开通列表 */
    private List <Integer> statusList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户名称 */
    private List<String> updateUserNameList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppsCensusQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppsCensusQuery> andConditionList;

    public AppsCensusQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 应用ID，主键
    * @return appIdStart
    */
    public Long getAppIdStart(){
        return this.appIdStart;
    }

    /**
    * 设置 开始 应用ID，主键
    * @param appIdStart
    */
    public void setAppIdStart(Long appIdStart){
        this.appIdStart = appIdStart;
    }

    /**
    * 获取 结束 应用ID，主键
    * @return $appIdEnd
    */
    public Long getAppIdEnd(){
        return this.appIdEnd;
    }

    /**
    * 设置 结束 应用ID，主键
    * @param appIdEnd
    */
    public void setAppIdEnd(Long appIdEnd){
        this.appIdEnd = appIdEnd;
    }

    /**
    * 获取 增加 应用ID，主键
    * @return appIdIncrement
    */
    public Long getAppIdIncrement(){
        return this.appIdIncrement;
    }

    /**
    * 设置 增加 应用ID，主键
    * @param appIdIncrement
    */
    public void setAppIdIncrement(Long appIdIncrement){
        this.appIdIncrement = appIdIncrement;
    }

    /**
    * 获取 应用ID，主键
    * @return appIdList
    */
    public List<Long> getAppIdList(){
        return this.appIdList;
    }

    /**
    * 设置 应用ID，主键
    * @param appIdList
    */
    public void setAppIdList(List<Long> appIdList){
        this.appIdList = appIdList;
    }

    /**
    * 获取 数据统计名称
    * @return censusNameList
    */
    public List<String> getCensusNameList(){
        return this.censusNameList;
    }

    /**
    * 设置 数据统计名称
    * @param censusNameList
    */
    public void setCensusNameList(List<String> censusNameList){
        this.censusNameList = censusNameList;
    }
    /**
    * 获取 链接地址
    * @return censusUrlList
    */
    public List<String> getCensusUrlList(){
        return this.censusUrlList;
    }

    /**
    * 设置 链接地址
    * @param censusUrlList
    */
    public void setCensusUrlList(List<String> censusUrlList){
        this.censusUrlList = censusUrlList;
    }
    /**
    * 获取 开始 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @return censusTypeStart
    */
    public Integer getCensusTypeStart(){
        return this.censusTypeStart;
    }

    /**
    * 设置 开始 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @param censusTypeStart
    */
    public void setCensusTypeStart(Integer censusTypeStart){
        this.censusTypeStart = censusTypeStart;
    }

    /**
    * 获取 结束 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @return $censusTypeEnd
    */
    public Integer getCensusTypeEnd(){
        return this.censusTypeEnd;
    }

    /**
    * 设置 结束 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @param censusTypeEnd
    */
    public void setCensusTypeEnd(Integer censusTypeEnd){
        this.censusTypeEnd = censusTypeEnd;
    }

    /**
    * 获取 增加 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @return censusTypeIncrement
    */
    public Integer getCensusTypeIncrement(){
        return this.censusTypeIncrement;
    }

    /**
    * 设置 增加 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @param censusTypeIncrement
    */
    public void setCensusTypeIncrement(Integer censusTypeIncrement){
        this.censusTypeIncrement = censusTypeIncrement;
    }

    /**
    * 获取 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @return censusTypeList
    */
    public List<Integer> getCensusTypeList(){
        return this.censusTypeList;
    }

    /**
    * 设置 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @param censusTypeList
    */
    public void setCensusTypeList(List<Integer> censusTypeList){
        this.censusTypeList = censusTypeList;
    }

    /**
    * 获取 开始 状态，0暂未开通，1已开通
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 状态，0暂未开通，1已开通
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 状态，0暂未开通，1已开通
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 状态，0暂未开通，1已开通
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 状态，0暂未开通，1已开通
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 状态，0暂未开通，1已开通
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 状态，0暂未开通，1已开通
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 状态，0暂未开通，1已开通
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户名称
    * @return updateUserNameList
    */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
    * 设置 更新用户名称
    * @param updateUserNameList
    */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }
    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public AppsCensusQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public AppsCensusQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public AppsCensusQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public AppsCensusQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public AppsCensusQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  应用ID，主键
    * @param appId
    */
    public AppsCensusQuery appId(Long appId){
	    setAppId(appId);
		return this;
    }
	
	 /**
    * 设置 开始 应用ID，主键
    * @param appIdStart
    */
    public AppsCensusQuery appIdStart(Long appIdStart){
		this.appIdStart = appIdStart;
		return this;
    }

    /**
    * 设置 结束 应用ID，主键
    * @param appIdEnd
    */
    public AppsCensusQuery appIdEnd(Long appIdEnd){
		this.appIdEnd = appIdEnd;
		return this;
    }

    /**
    * 设置 增加 应用ID，主键
    * @param appIdIncrement
    */
    public AppsCensusQuery appIdIncrement(Long appIdIncrement){
		this.appIdIncrement = appIdIncrement;
		return this;
    }

    /**
    * 设置 应用ID，主键
    * @param appIdList
    */
    public AppsCensusQuery appIdList(List<Long> appIdList){
        this.appIdList = appIdList;
		return this;
        }


	/**
    * 设置 数据统计名称
    * @param censusName
    */
    public AppsCensusQuery censusName(String censusName){
        setCensusName(censusName);
		return this;
    }

    /**
    * 设置 数据统计名称
    * @param censusNameList
    */
    public AppsCensusQuery censusNameList(List<String> censusNameList){
        this.censusNameList = censusNameList;
		return this;
    }


	/**
    * 设置 链接地址
    * @param censusUrl
    */
    public AppsCensusQuery censusUrl(String censusUrl){
        setCensusUrl(censusUrl);
		return this;
    }

    /**
    * 设置 链接地址
    * @param censusUrlList
    */
    public AppsCensusQuery censusUrlList(List<String> censusUrlList){
        this.censusUrlList = censusUrlList;
		return this;
    }

    /**
    * 设置  统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @param censusType
    */
    public AppsCensusQuery censusType(Integer censusType){
	    setCensusType(censusType);
		return this;
    }
	
	 /**
    * 设置 开始 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @param censusTypeStart
    */
    public AppsCensusQuery censusTypeStart(Integer censusTypeStart){
		this.censusTypeStart = censusTypeStart;
		return this;
    }

    /**
    * 设置 结束 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @param censusTypeEnd
    */
    public AppsCensusQuery censusTypeEnd(Integer censusTypeEnd){
		this.censusTypeEnd = censusTypeEnd;
		return this;
    }

    /**
    * 设置 增加 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @param censusTypeIncrement
    */
    public AppsCensusQuery censusTypeIncrement(Integer censusTypeIncrement){
		this.censusTypeIncrement = censusTypeIncrement;
		return this;
    }

    /**
    * 设置 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
    * @param censusTypeList
    */
    public AppsCensusQuery censusTypeList(List<Integer> censusTypeList){
        this.censusTypeList = censusTypeList;
		return this;
        }

    /**
    * 设置  状态，0暂未开通，1已开通
    * @param status
    */
    public AppsCensusQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 状态，0暂未开通，1已开通
    * @param statusStart
    */
    public AppsCensusQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 状态，0暂未开通，1已开通
    * @param statusEnd
    */
    public AppsCensusQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 状态，0暂未开通，1已开通
    * @param statusIncrement
    */
    public AppsCensusQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 状态，0暂未开通，1已开通
    * @param statusList
    */
    public AppsCensusQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AppsCensusQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AppsCensusQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AppsCensusQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AppsCensusQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AppsCensusQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public AppsCensusQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public AppsCensusQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }



    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AppsCensusQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AppsCensusQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AppsCensusQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AppsCensusQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AppsCensusQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


	/**
    * 设置 更新用户名称
    * @param updateUserName
    */
    public AppsCensusQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
		return this;
    }

    /**
    * 设置 更新用户名称
    * @param updateUserNameList
    */
    public AppsCensusQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AppsCensusQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AppsCensusQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AppsCensusQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AppsCensusQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}