package com.mortals.xhx.module.role.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.role.model.vo.RoleAuthVo;
/**
* 角色菜单权限关联实体对象
*
* @author zxfei
* @date 2022-06-02
*/

public class RoleAuthEntity extends RoleAuthVo {
    private static final long serialVersionUID = 1L;

    /**
    * 角色ID
    */
    private Long roleId;
    /**
    * 菜单ID
    */
    private Long menuId;



    public RoleAuthEntity(){}
    /**
    * 获取 角色ID
    * @return Long
    */
    public Long getRoleId(){
        return roleId;
    }
    /**
    * 设置 角色ID
    * @param roleId
    */
    public void setRoleId(Long roleId){
        this.roleId = roleId;
    }
    /**
    * 获取 菜单ID
    * @return Long
    */
    public Long getMenuId(){
        return menuId;
    }
    /**
    * 设置 菜单ID
    * @param menuId
    */
    public void setMenuId(Long menuId){
        this.menuId = menuId;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RoleAuthEntity) {
            RoleAuthEntity tmp = (RoleAuthEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",roleId:").append(getRoleId());
        sb.append(",menuId:").append(getMenuId());
        return sb.toString();
    }

    public void initAttrValue(){

            this.roleId = null;

            this.menuId = null;
    }
}