package com.mortals.xhx.module.role.model;

import java.util.List;
import com.mortals.xhx.module.role.model.RoleAuthEntity;
/**
* 角色菜单权限关联查询对象
*
* @author zxfei
* @date 2022-06-02
*/
public class RoleAuthQuery extends RoleAuthEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 角色ID */
    private Long roleIdStart;

    /** 结束 角色ID */
    private Long roleIdEnd;

    /** 增加 角色ID */
    private Long roleIdIncrement;

    /** 角色ID列表 */
    private List <Long> roleIdList;

    /** 开始 菜单ID */
    private Long menuIdStart;

    /** 结束 菜单ID */
    private Long menuIdEnd;

    /** 增加 菜单ID */
    private Long menuIdIncrement;

    /** 菜单ID列表 */
    private List <Long> menuIdList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RoleAuthQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RoleAuthQuery> andConditionList;

    public RoleAuthQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 角色ID
    * @return roleIdStart
    */
    public Long getRoleIdStart(){
        return this.roleIdStart;
    }

    /**
    * 设置 开始 角色ID
    * @param roleIdStart
    */
    public void setRoleIdStart(Long roleIdStart){
        this.roleIdStart = roleIdStart;
    }

    /**
    * 获取 结束 角色ID
    * @return $roleIdEnd
    */
    public Long getRoleIdEnd(){
        return this.roleIdEnd;
    }

    /**
    * 设置 结束 角色ID
    * @param roleIdEnd
    */
    public void setRoleIdEnd(Long roleIdEnd){
        this.roleIdEnd = roleIdEnd;
    }

    /**
    * 获取 增加 角色ID
    * @return roleIdIncrement
    */
    public Long getRoleIdIncrement(){
        return this.roleIdIncrement;
    }

    /**
    * 设置 增加 角色ID
    * @param roleIdIncrement
    */
    public void setRoleIdIncrement(Long roleIdIncrement){
        this.roleIdIncrement = roleIdIncrement;
    }

    /**
    * 获取 角色ID
    * @return roleIdList
    */
    public List<Long> getRoleIdList(){
        return this.roleIdList;
    }

    /**
    * 设置 角色ID
    * @param roleIdList
    */
    public void setRoleIdList(List<Long> roleIdList){
        this.roleIdList = roleIdList;
    }

    /**
    * 获取 开始 菜单ID
    * @return menuIdStart
    */
    public Long getMenuIdStart(){
        return this.menuIdStart;
    }

    /**
    * 设置 开始 菜单ID
    * @param menuIdStart
    */
    public void setMenuIdStart(Long menuIdStart){
        this.menuIdStart = menuIdStart;
    }

    /**
    * 获取 结束 菜单ID
    * @return $menuIdEnd
    */
    public Long getMenuIdEnd(){
        return this.menuIdEnd;
    }

    /**
    * 设置 结束 菜单ID
    * @param menuIdEnd
    */
    public void setMenuIdEnd(Long menuIdEnd){
        this.menuIdEnd = menuIdEnd;
    }

    /**
    * 获取 增加 菜单ID
    * @return menuIdIncrement
    */
    public Long getMenuIdIncrement(){
        return this.menuIdIncrement;
    }

    /**
    * 设置 增加 菜单ID
    * @param menuIdIncrement
    */
    public void setMenuIdIncrement(Long menuIdIncrement){
        this.menuIdIncrement = menuIdIncrement;
    }

    /**
    * 获取 菜单ID
    * @return menuIdList
    */
    public List<Long> getMenuIdList(){
        return this.menuIdList;
    }

    /**
    * 设置 菜单ID
    * @param menuIdList
    */
    public void setMenuIdList(List<Long> menuIdList){
        this.menuIdList = menuIdList;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public RoleAuthQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public RoleAuthQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public RoleAuthQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public RoleAuthQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public RoleAuthQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  角色ID
    * @param roleId
    */
    public RoleAuthQuery roleId(Long roleId){
	    setRoleId(roleId);
		return this;
    }
	
	 /**
    * 设置 开始 角色ID
    * @param roleIdStart
    */
    public RoleAuthQuery roleIdStart(Long roleIdStart){
		this.roleIdStart = roleIdStart;
		return this;
    }

    /**
    * 设置 结束 角色ID
    * @param roleIdEnd
    */
    public RoleAuthQuery roleIdEnd(Long roleIdEnd){
		this.roleIdEnd = roleIdEnd;
		return this;
    }

    /**
    * 设置 增加 角色ID
    * @param roleIdIncrement
    */
    public RoleAuthQuery roleIdIncrement(Long roleIdIncrement){
		this.roleIdIncrement = roleIdIncrement;
		return this;
    }

    /**
    * 设置 角色ID
    * @param roleIdList
    */
    public RoleAuthQuery roleIdList(List<Long> roleIdList){
        this.roleIdList = roleIdList;
		return this;
        }

    /**
    * 设置  菜单ID
    * @param menuId
    */
    public RoleAuthQuery menuId(Long menuId){
	    setMenuId(menuId);
		return this;
    }
	
	 /**
    * 设置 开始 菜单ID
    * @param menuIdStart
    */
    public RoleAuthQuery menuIdStart(Long menuIdStart){
		this.menuIdStart = menuIdStart;
		return this;
    }

    /**
    * 设置 结束 菜单ID
    * @param menuIdEnd
    */
    public RoleAuthQuery menuIdEnd(Long menuIdEnd){
		this.menuIdEnd = menuIdEnd;
		return this;
    }

    /**
    * 设置 增加 菜单ID
    * @param menuIdIncrement
    */
    public RoleAuthQuery menuIdIncrement(Long menuIdIncrement){
		this.menuIdIncrement = menuIdIncrement;
		return this;
    }

    /**
    * 设置 菜单ID
    * @param menuIdList
    */
    public RoleAuthQuery menuIdList(List<Long> menuIdList){
        this.menuIdList = menuIdList;
		return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<RoleAuthQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<RoleAuthQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<RoleAuthQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<RoleAuthQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}