package com.mortals.xhx.module.role.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.role.model.vo.RoleUserVo;
/**
* 角色用户关联实体对象
*
* @author zxfei
* @date 2022-06-02
*/

public class RoleUserEntity extends RoleUserVo {
    private static final long serialVersionUID = 1L;

    /**
    * 角色ID
    */
    private Long roleId;
    /**
    * 用户ID
    */
    private Long userId;



    public RoleUserEntity(){}
    /**
    * 获取 角色ID
    * @return Long
    */
    public Long getRoleId(){
        return roleId;
    }
    /**
    * 设置 角色ID
    * @param roleId
    */
    public void setRoleId(Long roleId){
        this.roleId = roleId;
    }
    /**
    * 获取 用户ID
    * @return Long
    */
    public Long getUserId(){
        return userId;
    }
    /**
    * 设置 用户ID
    * @param userId
    */
    public void setUserId(Long userId){
        this.userId = userId;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RoleUserEntity) {
            RoleUserEntity tmp = (RoleUserEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",roleId:").append(getRoleId());
        sb.append(",userId:").append(getUserId());
        return sb.toString();
    }

    public void initAttrValue(){

            this.roleId = null;

            this.userId = null;
    }
}