package com.mortals.xhx.module.role.model;

import java.util.List;
import com.mortals.xhx.module.role.model.RoleUserEntity;
/**
* 角色用户关联查询对象
*
* @author zxfei
* @date 2022-06-02
*/
public class RoleUserQuery extends RoleUserEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 角色ID */
    private Long roleIdStart;

    /** 结束 角色ID */
    private Long roleIdEnd;

    /** 增加 角色ID */
    private Long roleIdIncrement;

    /** 角色ID列表 */
    private List <Long> roleIdList;

    /** 开始 用户ID */
    private Long userIdStart;

    /** 结束 用户ID */
    private Long userIdEnd;

    /** 增加 用户ID */
    private Long userIdIncrement;

    /** 用户ID列表 */
    private List <Long> userIdList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RoleUserQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RoleUserQuery> andConditionList;

    public RoleUserQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 角色ID
    * @return roleIdStart
    */
    public Long getRoleIdStart(){
        return this.roleIdStart;
    }

    /**
    * 设置 开始 角色ID
    * @param roleIdStart
    */
    public void setRoleIdStart(Long roleIdStart){
        this.roleIdStart = roleIdStart;
    }

    /**
    * 获取 结束 角色ID
    * @return $roleIdEnd
    */
    public Long getRoleIdEnd(){
        return this.roleIdEnd;
    }

    /**
    * 设置 结束 角色ID
    * @param roleIdEnd
    */
    public void setRoleIdEnd(Long roleIdEnd){
        this.roleIdEnd = roleIdEnd;
    }

    /**
    * 获取 增加 角色ID
    * @return roleIdIncrement
    */
    public Long getRoleIdIncrement(){
        return this.roleIdIncrement;
    }

    /**
    * 设置 增加 角色ID
    * @param roleIdIncrement
    */
    public void setRoleIdIncrement(Long roleIdIncrement){
        this.roleIdIncrement = roleIdIncrement;
    }

    /**
    * 获取 角色ID
    * @return roleIdList
    */
    public List<Long> getRoleIdList(){
        return this.roleIdList;
    }

    /**
    * 设置 角色ID
    * @param roleIdList
    */
    public void setRoleIdList(List<Long> roleIdList){
        this.roleIdList = roleIdList;
    }

    /**
    * 获取 开始 用户ID
    * @return userIdStart
    */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
    * 设置 开始 用户ID
    * @param userIdStart
    */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
    * 获取 结束 用户ID
    * @return $userIdEnd
    */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
    * 设置 结束 用户ID
    * @param userIdEnd
    */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
    * 获取 增加 用户ID
    * @return userIdIncrement
    */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
    * 设置 增加 用户ID
    * @param userIdIncrement
    */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
    * 获取 用户ID
    * @return userIdList
    */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
    * 设置 用户ID
    * @param userIdList
    */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public RoleUserQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public RoleUserQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public RoleUserQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public RoleUserQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public RoleUserQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  角色ID
    * @param roleId
    */
    public RoleUserQuery roleId(Long roleId){
	    setRoleId(roleId);
		return this;
    }
	
	 /**
    * 设置 开始 角色ID
    * @param roleIdStart
    */
    public RoleUserQuery roleIdStart(Long roleIdStart){
		this.roleIdStart = roleIdStart;
		return this;
    }

    /**
    * 设置 结束 角色ID
    * @param roleIdEnd
    */
    public RoleUserQuery roleIdEnd(Long roleIdEnd){
		this.roleIdEnd = roleIdEnd;
		return this;
    }

    /**
    * 设置 增加 角色ID
    * @param roleIdIncrement
    */
    public RoleUserQuery roleIdIncrement(Long roleIdIncrement){
		this.roleIdIncrement = roleIdIncrement;
		return this;
    }

    /**
    * 设置 角色ID
    * @param roleIdList
    */
    public RoleUserQuery roleIdList(List<Long> roleIdList){
        this.roleIdList = roleIdList;
		return this;
        }

    /**
    * 设置  用户ID
    * @param userId
    */
    public RoleUserQuery userId(Long userId){
	    setUserId(userId);
		return this;
    }
	
	 /**
    * 设置 开始 用户ID
    * @param userIdStart
    */
    public RoleUserQuery userIdStart(Long userIdStart){
		this.userIdStart = userIdStart;
		return this;
    }

    /**
    * 设置 结束 用户ID
    * @param userIdEnd
    */
    public RoleUserQuery userIdEnd(Long userIdEnd){
		this.userIdEnd = userIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户ID
    * @param userIdIncrement
    */
    public RoleUserQuery userIdIncrement(Long userIdIncrement){
		this.userIdIncrement = userIdIncrement;
		return this;
    }

    /**
    * 设置 用户ID
    * @param userIdList
    */
    public RoleUserQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
		return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<RoleUserQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<RoleUserQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<RoleUserQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<RoleUserQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}