package com.mortals.xhx.module.role.service;

import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.role.model.RoleAuthEntity;
import com.mortals.xhx.module.role.model.RoleAuthQuery;

/**
 * RoleAuthService
 * <p>
 * 角色资源权限业务 service接口
 *
 * @author zxfei
 * @date 2022-05-25
 */
public interface RoleAuthService extends ICRUDService<RoleAuthEntity, Long> {

    /**
     * 角色分配菜单资源
     */
    void assignMenu(RoleAuthQuery query);
}