package com.mortals.xhx.module.site.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.param.service.ParamService;
import com.mortals.xhx.module.site.model.SiteAppsEntity;
import com.mortals.xhx.module.site.service.SiteAppsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 站点应用对照列
*
* @author zxfei
* @date 2022-06-22
*/
@RestController
@RequestMapping("site/apps")
public class SiteAppsController extends BaseCRUDJsonBodyMappingController<SiteAppsService,SiteAppsEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SiteAppsController(){
        super.setModuleDesc( "站点应用对照列");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }


}