package com.mortals.xhx.module.user.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.user.model.UserEntity;
import com.mortals.xhx.module.user.model.UserEntityExt;

import java.util.List;
/**
* 用户信息业务Dao
* 用户信息业务 DAO接口
*
* @author zxfei
* @date 2022-05-25
*/
public interface  UserDao extends ICRUDDao<UserEntity,Long>{
    List<Long> getAuthListById(Long id);
    Result<UserEntityExt> getListExt(UserEntity params, PageInfo pageInfo);
}
