package com.mortals.xhx.base.framework.service;

import com.mortals.framework.common.Rest;
import com.mortals.xhx.base.framework.expection.CaptchaException;

import java.io.IOException;
import java.util.Map;

/**
 * 验证码处理
 *
 * @author: zxfei
 * @date: 2022/6/20 16:25
 */
public interface ValidateCodeService {
    /**
     * 生成验证码
     */
    Rest<Map<String, Object>> createCaptcha() throws IOException, CaptchaException;

    /**
     * 校验验证码
     */
    void checkCaptcha(String key, String value) throws CaptchaException;
}
