package com.mortals.xhx.base.system.user.model;

import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.model.model.ModelEntity;
import lombok.Data;

import java.util.List;

/**
 * Description:User
 * date: 2021-9-26 16:11:48
 */
@Data
public class UserEntityExt extends BaseEntityLong {
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 唯一标识
     */
    private String token;
    /**
     * 菜单栏
     */
    private String menuUrl;

    /**
     * 登录时间
     */
    private Long loginTime;

    /**
     * 过期时间
     */
    private Long expireTime;


    private List<ModelEntity> modleList;


}