package com.mortals.xhx.common.key;

public final class Constant {

	/**
	 * UTF-8 字符集
	 */
	public static final String UTF8 = "UTF-8";

	/**
	 * GBK 字符集
	 */
	public static final String GBK = "GBK";

	/**
	 * http请求
	 */
	public static final String HTTP = "http://";

	/**
	 * 站点编号分隔符
	 */
	public static final String SITE_SPLIT_MARK = "-";

	/**
	 * 站点编号补零位数
	 */
	public static final Integer SITE_CODE_NUM = 4;


	/**
	 * 验证码有效期（分钟）
	 */
	public static final Integer CAPTCHA_EXPIRATION = 2;

	/**
	 * 登录设备 redis key
	 */
	public static final String LOGIN_TOKEN_KEY = "user:login:tokens:";

	/**
	 * 令牌
	 */
	public static final String TOKEN = "token";

	/**
	 * 令牌前缀
	 */
	public static final String TOKEN_PREFIX = "Bearer ";

	/**
	 * 令牌前缀
	 */
	public static final String LOGIN_USER_KEY = "login_user_key";


	/**
	 * domain
	 */
	public static final String DOMAIN = "domain";

	/** 基础代码版本 Z-BASE.MANAGER-S1.0.0 */
	public final static String BASEMANAGER_VERSION = "Z-BASE.MANAGER-S1.0.0";


}
