package com.mortals.xhx.module.business.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.business.model.BusinessMatterEntity;
import com.mortals.xhx.module.business.model.BusinessMatterQuery;

import java.util.List;
/**
* 业务事项关联Dao
* 业务事项关联 DAO接口
*
* @author zxfei
* @date 2022-01-12
*/
public interface  BusinessMatterDao extends ICRUDDao<BusinessMatterEntity,Long>{


    Result<BusinessMatterEntity> getListByBusiness(BusinessMatterQuery params, PageInfo pageInfo);


    Result<BusinessMatterEntity> getListByMatter(BusinessMatterQuery params, PageInfo pageInfo);

}
