package com.mortals.xhx.module.business.dao.ibatis;


import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.business.dao.BusinessDao;
import com.mortals.xhx.module.business.model.BusinessEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 站点业务DaoImpl DAO接口
*
* @author zxfei
* @date 2022-01-13
*/
@Repository("businessDao")
public class BusinessDaoImpl extends BaseCRUDDaoMybatis<BusinessEntity,Long> implements BusinessDao {


    @Override
    public List<BusinessEntity> selectChildrenBusinessById(String businessId) {
        return getSqlSession().selectList(getSqlId("selectChildrenBusinessById"), businessId);
    }

}
