package com.mortals.xhx.module.business.service;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.business.model.BusinessEntity;
import com.mortals.xhx.module.business.model.BusinessTreeSelect;
import java.util.List;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import org.springframework.web.bind.annotation.RequestParam;

/**
* BusinessService
*
* 站点业务 service接口
*
* @author zxfei
* @date 2022-01-13
*/
public interface BusinessService extends ICRUDCacheService<BusinessEntity,Long> {
    /**
     * 添加业务到站点
     * @param businessIds
     * @param siteId
     * @param context
     */
    void addBusinessToSite(String businessIds, Long siteId,Context context);


    Result<BusinessEntity> flatList(BusinessEntity query, PageInfo pageInfo, Context context);
}