package com.mortals.xhx.module.business.service.impl;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.business.model.BusinessMatterQuery;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.business.dao.BusinessMatterDao;
import com.mortals.xhx.module.business.model.BusinessMatterEntity;
import com.mortals.xhx.module.business.service.BusinessMatterService;
/**
* BusinessMatterService
* 业务事项关联 service实现
*
* @author zxfei
* @date 2022-01-12
*/
@Service("businessMatterService")
public class BusinessMatterServiceImpl extends AbstractCRUDServiceImpl<BusinessMatterDao, BusinessMatterEntity, Long> implements BusinessMatterService {

    @Override
    public Result<BusinessMatterEntity> getListByBusiness(BusinessMatterQuery query, PageInfo pageInfo, Context context) {
        return this.getDao().getListByBusiness(query,pageInfo);
    }

    @Override
    public Result<BusinessMatterEntity> getListByMatter(BusinessMatterQuery query, PageInfo pageInfo, Context context) {
        return this.getDao().getListByMatter(query,pageInfo);
    }
}