package com.mortals.xhx.module.matter.service;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.model.MatterEntity;

import java.util.Map;

/**
* MatterService
*
* 基础事项 service接口
*
* @author zxfei
* @date 2022-01-12
*/
public interface MatterService extends ICRUDCacheService<MatterEntity,Long> {

    /**
     * 添加业务到站点
     * @param matterIds
     * @param siteId
     * @param context
     */
    void addMatterToSite(String matterIds, Long siteId, Context context);


    /**
     * 同步政务网事项数据
     * @param context
     */
    void syncMatter(Context context);


    Map<String,String> getBaseInfoMap(Context context);

    Map<String,String> getSqclInfoMap(Context context);
}