package com.mortals.xhx.module.matters.model;

import java.util.List;
import com.mortals.xhx.module.matters.model.MattersThemeEntity;
/**
* 主题查询对象
*
* @author zxfei
* @date 2022-03-30
*/
public class MattersThemeQuery extends MattersThemeEntity {
    /** 开始 id号 */
    private Long idStart;

    /** 结束 id号 */
    private Long idEnd;

    /** 增加 id号 */
    private Long idIncrement;

    /** id号列表 */
    private List <Long> idList;

    /** 服务类型编号 */
    private List<String> usertypeCodeList;

    /** 主题编号 */
    private List<String> themeCodeList;

    /** 主题名称 */
    private List<String> nameList;

    /** 开始 更新时间 */
    private String updatetimeStart;

    /** 结束 更新时间 */
    private String updatetimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MattersThemeQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MattersThemeQuery> andConditionList;

    public MattersThemeQuery(){}

    /**
    * 获取 开始 id号
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 id号
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 id号
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 id号
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 id号
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 id号
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 id号
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 id号
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 服务类型编号
    * @return usertypeCodeList
    */
    public List<String> getUsertypeCodeList(){
        return this.usertypeCodeList;
    }

    /**
    * 设置 服务类型编号
    * @param usertypeCodeList
    */
    public void setUsertypeCodeList(List<String> usertypeCodeList){
        this.usertypeCodeList = usertypeCodeList;
    }
    /**
    * 获取 主题编号
    * @return themeCodeList
    */
    public List<String> getThemeCodeList(){
        return this.themeCodeList;
    }

    /**
    * 设置 主题编号
    * @param themeCodeList
    */
    public void setThemeCodeList(List<String> themeCodeList){
        this.themeCodeList = themeCodeList;
    }
    /**
    * 获取 主题名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 主题名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 开始 更新时间
    * @return updatetimeStart
    */
    public String getUpdatetimeStart(){
        return this.updatetimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updatetimeStart
    */
    public void setUpdatetimeStart(String updatetimeStart){
        this.updatetimeStart = updatetimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updatetimeEnd
    */
    public String getUpdatetimeEnd(){
        return this.updatetimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updatetimeEnd
    */
    public void setUpdatetimeEnd(String updatetimeEnd){
        this.updatetimeEnd = updatetimeEnd;
    }

    /**
    * 设置  id号
    * @param id
    */
    public MattersThemeQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 id号
    * @param idStart
    */
    public MattersThemeQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 id号
    * @param idEnd
    */
    public MattersThemeQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 id号
    * @param idIncrement
    */
    public MattersThemeQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 id号
    * @param idList
    */
    public MattersThemeQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 服务类型编号
    * @param usertypeCode
    */
    public MattersThemeQuery usertypeCode(String usertypeCode){
        setUsertypeCode(usertypeCode);
		return this;
    }

    /**
    * 设置 服务类型编号
    * @param usertypeCodeList
    */
    public MattersThemeQuery usertypeCodeList(List<String> usertypeCodeList){
        this.usertypeCodeList = usertypeCodeList;
		return this;
    }


	/**
    * 设置 主题编号
    * @param themeCode
    */
    public MattersThemeQuery themeCode(String themeCode){
        setThemeCode(themeCode);
		return this;
    }

    /**
    * 设置 主题编号
    * @param themeCodeList
    */
    public MattersThemeQuery themeCodeList(List<String> themeCodeList){
        this.themeCodeList = themeCodeList;
		return this;
    }


	/**
    * 设置 主题名称
    * @param name
    */
    public MattersThemeQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 主题名称
    * @param nameList
    */
    public MattersThemeQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MattersThemeQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MattersThemeQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MattersThemeQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MattersThemeQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}