package com.mortals.xhx.module.matters.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.matters.model.MattersEntity;
import com.mortals.xhx.module.matters.model.MattersQuery;
import com.mortals.xhx.module.matters.service.MattersService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 事项列
*
* @author zxfei
* @date 2022-03-30
*/
@RestController
@RequestMapping("matters")
public class MattersController extends BaseCRUDJsonMappingController<MattersService,MattersForm,MattersEntity,Long> {

    @Autowired
    private ParamService paramService;

    public MattersController(){
        super.setFormClass(MattersForm.class);
        super.setModuleDesc( "事项列");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, MattersForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }

}