package com.mortals.xhx.module.matters.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.matters.model.MattersPowerEntity;
import com.mortals.xhx.module.matters.model.MattersPowerQuery;
import com.mortals.xhx.module.matters.service.MattersPowerService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 行政权力
*
* @author zxfei
* @date 2022-03-30
*/
@RestController
@RequestMapping("matters/power")
public class MattersPowerController extends BaseCRUDJsonMappingController<MattersPowerService,MattersPowerForm,MattersPowerEntity,Long> {

    @Autowired
    private ParamService paramService;

    public MattersPowerController(){
        super.setFormClass(MattersPowerForm.class);
        super.setModuleDesc( "行政权力");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, MattersPowerForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }

}