package com.mortals.xhx.module.site.dao.ibatis;


import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.site.dao.SiteBusinessDao;
import com.mortals.xhx.module.site.model.SiteBusinessEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 站点事项DaoImpl DAO接口
*
* @author zxfei
* @date 2022-01-13
*/
@Repository("siteBusinessDao")
public class SiteBusinessDaoImpl extends BaseCRUDDaoMybatis<SiteBusinessEntity,Long> implements SiteBusinessDao {


    @Override
    public List<SiteBusinessEntity> selectChildrenSiteBusinessById(String siteBusinessId) {
        return getSqlSession().selectList(getSqlId("selectChildrenSiteBusinessById"), siteBusinessId);
    }

}
