package com.mortals.xhx.module.site.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.business.model.BusinessEntity;
import com.mortals.xhx.module.site.model.SiteBusinessEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 站点事项视图对象
*
* @author zxfei
* @date 2022-01-13
*/
@Data
public class SiteBusinessVo extends BaseEntityLong {

    /** 子站点事项 */
    private List<SiteBusinessEntity> children = new ArrayList<>();

    private List<BusinessEntity> businessChildren = new ArrayList<>();

    /**
     * 备注
     */
    private String remark;
    /**
     * 是否允许预约（1.允许，0.不允许）
     */
    private Integer canorder;
    /**
     * 是否允许取号（1.允许，0.不允许）
     */
    private Integer cantake;
    /**
     * 大厅情况展示 （1.展示，0.不展示）
     */
    private Integer datashow;
    /**
     * 英语业务名
     */
    private String englishname;
    /**
     * 流水编号如A、B
     */
    private String flownum;

    /**
     * 业务类型 (0.一体化业务，1.自建业务)
     */
    private Integer businessType;



}