package com.mortals.xhx.module.skin.model;

import java.util.List;
import com.mortals.xhx.module.skin.model.SkinFieldEntity;
/**
* 皮肤属性字段配置查询对象
*
* @author zxfei
* @date 2022-05-24
*/
public class SkinFieldQuery extends SkinFieldEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 皮肤id */
    private Long skinIdStart;

    /** 结束 皮肤id */
    private Long skinIdEnd;

    /** 增加 皮肤id */
    private Long skinIdIncrement;

    /** 皮肤id列表 */
    private List <Long> skinIdList;

    /** 开始 模板id,不为空时为模板配置属性 */
    private Long templateIdStart;

    /** 结束 模板id,不为空时为模板配置属性 */
    private Long templateIdEnd;

    /** 增加 模板id,不为空时为模板配置属性 */
    private Long templateIdIncrement;

    /** 模板id,不为空时为模板配置属性列表 */
    private List <Long> templateIdList;

    /** 字段编码 */
    private List<String> fieldCodeList;

    /** 字段名称 */
    private List<String> fieldNameList;

    /** 数据类型（1.颜色，2.图片地址） */
    private List<String> fieldTypeList;

    /** 字段值 */
    private List<String> fieldValueList;

    /** 开始 数据长度，默认100 */
    private Integer fieldLenStart;

    /** 结束 数据长度，默认100 */
    private Integer fieldLenEnd;

    /** 增加 数据长度，默认100 */
    private Integer fieldLenIncrement;

    /** 数据长度，默认100列表 */
    private List <Integer> fieldLenList;

    /** 开始 是否允许为空，0否1是 */
    private Integer fieldNullStart;

    /** 结束 是否允许为空，0否1是 */
    private Integer fieldNullEnd;

    /** 增加 是否允许为空，0否1是 */
    private Integer fieldNullIncrement;

    /** 是否允许为空，0否1是列表 */
    private List <Integer> fieldNullList;

    /** 排序号 */
    private List<String> fieldOrderNoList;

    /** 备注 */
    private List<String> remarkList;

    /** 开始 是否启用，0否1是 */
    private Integer enabledStart;

    /** 结束 是否启用，0否1是 */
    private Integer enabledEnd;

    /** 增加 是否启用，0否1是 */
    private Integer enabledIncrement;

    /** 是否启用，0否1是列表 */
    private List <Integer> enabledList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 开始 修改用户 */
    private Long updateUserIdStart;

    /** 结束 修改用户 */
    private Long updateUserIdEnd;

    /** 增加 修改用户 */
    private Long updateUserIdIncrement;

    /** 修改用户列表 */
    private List <Long> updateUserIdList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SkinFieldQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SkinFieldQuery> andConditionList;

    public SkinFieldQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 皮肤id
    * @return skinIdStart
    */
    public Long getSkinIdStart(){
        return this.skinIdStart;
    }

    /**
    * 设置 开始 皮肤id
    * @param skinIdStart
    */
    public void setSkinIdStart(Long skinIdStart){
        this.skinIdStart = skinIdStart;
    }

    /**
    * 获取 结束 皮肤id
    * @return $skinIdEnd
    */
    public Long getSkinIdEnd(){
        return this.skinIdEnd;
    }

    /**
    * 设置 结束 皮肤id
    * @param skinIdEnd
    */
    public void setSkinIdEnd(Long skinIdEnd){
        this.skinIdEnd = skinIdEnd;
    }

    /**
    * 获取 增加 皮肤id
    * @return skinIdIncrement
    */
    public Long getSkinIdIncrement(){
        return this.skinIdIncrement;
    }

    /**
    * 设置 增加 皮肤id
    * @param skinIdIncrement
    */
    public void setSkinIdIncrement(Long skinIdIncrement){
        this.skinIdIncrement = skinIdIncrement;
    }

    /**
    * 获取 皮肤id
    * @return skinIdList
    */
    public List<Long> getSkinIdList(){
        return this.skinIdList;
    }

    /**
    * 设置 皮肤id
    * @param skinIdList
    */
    public void setSkinIdList(List<Long> skinIdList){
        this.skinIdList = skinIdList;
    }

    /**
    * 获取 开始 模板id,不为空时为模板配置属性
    * @return templateIdStart
    */
    public Long getTemplateIdStart(){
        return this.templateIdStart;
    }

    /**
    * 设置 开始 模板id,不为空时为模板配置属性
    * @param templateIdStart
    */
    public void setTemplateIdStart(Long templateIdStart){
        this.templateIdStart = templateIdStart;
    }

    /**
    * 获取 结束 模板id,不为空时为模板配置属性
    * @return $templateIdEnd
    */
    public Long getTemplateIdEnd(){
        return this.templateIdEnd;
    }

    /**
    * 设置 结束 模板id,不为空时为模板配置属性
    * @param templateIdEnd
    */
    public void setTemplateIdEnd(Long templateIdEnd){
        this.templateIdEnd = templateIdEnd;
    }

    /**
    * 获取 增加 模板id,不为空时为模板配置属性
    * @return templateIdIncrement
    */
    public Long getTemplateIdIncrement(){
        return this.templateIdIncrement;
    }

    /**
    * 设置 增加 模板id,不为空时为模板配置属性
    * @param templateIdIncrement
    */
    public void setTemplateIdIncrement(Long templateIdIncrement){
        this.templateIdIncrement = templateIdIncrement;
    }

    /**
    * 获取 模板id,不为空时为模板配置属性
    * @return templateIdList
    */
    public List<Long> getTemplateIdList(){
        return this.templateIdList;
    }

    /**
    * 设置 模板id,不为空时为模板配置属性
    * @param templateIdList
    */
    public void setTemplateIdList(List<Long> templateIdList){
        this.templateIdList = templateIdList;
    }

    /**
    * 获取 字段编码
    * @return fieldCodeList
    */
    public List<String> getFieldCodeList(){
        return this.fieldCodeList;
    }

    /**
    * 设置 字段编码
    * @param fieldCodeList
    */
    public void setFieldCodeList(List<String> fieldCodeList){
        this.fieldCodeList = fieldCodeList;
    }
    /**
    * 获取 字段名称
    * @return fieldNameList
    */
    public List<String> getFieldNameList(){
        return this.fieldNameList;
    }

    /**
    * 设置 字段名称
    * @param fieldNameList
    */
    public void setFieldNameList(List<String> fieldNameList){
        this.fieldNameList = fieldNameList;
    }
    /**
    * 获取 数据类型（1.颜色，2.图片地址）
    * @return fieldTypeList
    */
    public List<String> getFieldTypeList(){
        return this.fieldTypeList;
    }

    /**
    * 设置 数据类型（1.颜色，2.图片地址）
    * @param fieldTypeList
    */
    public void setFieldTypeList(List<String> fieldTypeList){
        this.fieldTypeList = fieldTypeList;
    }
    /**
    * 获取 字段值
    * @return fieldValueList
    */
    public List<String> getFieldValueList(){
        return this.fieldValueList;
    }

    /**
    * 设置 字段值
    * @param fieldValueList
    */
    public void setFieldValueList(List<String> fieldValueList){
        this.fieldValueList = fieldValueList;
    }
    /**
    * 获取 开始 数据长度，默认100
    * @return fieldLenStart
    */
    public Integer getFieldLenStart(){
        return this.fieldLenStart;
    }

    /**
    * 设置 开始 数据长度，默认100
    * @param fieldLenStart
    */
    public void setFieldLenStart(Integer fieldLenStart){
        this.fieldLenStart = fieldLenStart;
    }

    /**
    * 获取 结束 数据长度，默认100
    * @return $fieldLenEnd
    */
    public Integer getFieldLenEnd(){
        return this.fieldLenEnd;
    }

    /**
    * 设置 结束 数据长度，默认100
    * @param fieldLenEnd
    */
    public void setFieldLenEnd(Integer fieldLenEnd){
        this.fieldLenEnd = fieldLenEnd;
    }

    /**
    * 获取 增加 数据长度，默认100
    * @return fieldLenIncrement
    */
    public Integer getFieldLenIncrement(){
        return this.fieldLenIncrement;
    }

    /**
    * 设置 增加 数据长度，默认100
    * @param fieldLenIncrement
    */
    public void setFieldLenIncrement(Integer fieldLenIncrement){
        this.fieldLenIncrement = fieldLenIncrement;
    }

    /**
    * 获取 数据长度，默认100
    * @return fieldLenList
    */
    public List<Integer> getFieldLenList(){
        return this.fieldLenList;
    }

    /**
    * 设置 数据长度，默认100
    * @param fieldLenList
    */
    public void setFieldLenList(List<Integer> fieldLenList){
        this.fieldLenList = fieldLenList;
    }

    /**
    * 获取 开始 是否允许为空，0否1是
    * @return fieldNullStart
    */
    public Integer getFieldNullStart(){
        return this.fieldNullStart;
    }

    /**
    * 设置 开始 是否允许为空，0否1是
    * @param fieldNullStart
    */
    public void setFieldNullStart(Integer fieldNullStart){
        this.fieldNullStart = fieldNullStart;
    }

    /**
    * 获取 结束 是否允许为空，0否1是
    * @return $fieldNullEnd
    */
    public Integer getFieldNullEnd(){
        return this.fieldNullEnd;
    }

    /**
    * 设置 结束 是否允许为空，0否1是
    * @param fieldNullEnd
    */
    public void setFieldNullEnd(Integer fieldNullEnd){
        this.fieldNullEnd = fieldNullEnd;
    }

    /**
    * 获取 增加 是否允许为空，0否1是
    * @return fieldNullIncrement
    */
    public Integer getFieldNullIncrement(){
        return this.fieldNullIncrement;
    }

    /**
    * 设置 增加 是否允许为空，0否1是
    * @param fieldNullIncrement
    */
    public void setFieldNullIncrement(Integer fieldNullIncrement){
        this.fieldNullIncrement = fieldNullIncrement;
    }

    /**
    * 获取 是否允许为空，0否1是
    * @return fieldNullList
    */
    public List<Integer> getFieldNullList(){
        return this.fieldNullList;
    }

    /**
    * 设置 是否允许为空，0否1是
    * @param fieldNullList
    */
    public void setFieldNullList(List<Integer> fieldNullList){
        this.fieldNullList = fieldNullList;
    }

    /**
    * 获取 排序号
    * @return fieldOrderNoList
    */
    public List<String> getFieldOrderNoList(){
        return this.fieldOrderNoList;
    }

    /**
    * 设置 排序号
    * @param fieldOrderNoList
    */
    public void setFieldOrderNoList(List<String> fieldOrderNoList){
        this.fieldOrderNoList = fieldOrderNoList;
    }
    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
    * 获取 开始 是否启用，0否1是
    * @return enabledStart
    */
    public Integer getEnabledStart(){
        return this.enabledStart;
    }

    /**
    * 设置 开始 是否启用，0否1是
    * @param enabledStart
    */
    public void setEnabledStart(Integer enabledStart){
        this.enabledStart = enabledStart;
    }

    /**
    * 获取 结束 是否启用，0否1是
    * @return $enabledEnd
    */
    public Integer getEnabledEnd(){
        return this.enabledEnd;
    }

    /**
    * 设置 结束 是否启用，0否1是
    * @param enabledEnd
    */
    public void setEnabledEnd(Integer enabledEnd){
        this.enabledEnd = enabledEnd;
    }

    /**
    * 获取 增加 是否启用，0否1是
    * @return enabledIncrement
    */
    public Integer getEnabledIncrement(){
        return this.enabledIncrement;
    }

    /**
    * 设置 增加 是否启用，0否1是
    * @param enabledIncrement
    */
    public void setEnabledIncrement(Integer enabledIncrement){
        this.enabledIncrement = enabledIncrement;
    }

    /**
    * 获取 是否启用，0否1是
    * @return enabledList
    */
    public List<Integer> getEnabledList(){
        return this.enabledList;
    }

    /**
    * 设置 是否启用，0否1是
    * @param enabledList
    */
    public void setEnabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 修改用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 修改用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 修改用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 修改用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 修改用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 修改用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 修改用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 修改用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public SkinFieldQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public SkinFieldQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public SkinFieldQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public SkinFieldQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public SkinFieldQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  皮肤id
    * @param skinId
    */
    public SkinFieldQuery skinId(Long skinId){
	    setSkinId(skinId);
		return this;
    }
	
	 /**
    * 设置 开始 皮肤id
    * @param skinIdStart
    */
    public SkinFieldQuery skinIdStart(Long skinIdStart){
		this.skinIdStart = skinIdStart;
		return this;
    }

    /**
    * 设置 结束 皮肤id
    * @param skinIdEnd
    */
    public SkinFieldQuery skinIdEnd(Long skinIdEnd){
		this.skinIdEnd = skinIdEnd;
		return this;
    }

    /**
    * 设置 增加 皮肤id
    * @param skinIdIncrement
    */
    public SkinFieldQuery skinIdIncrement(Long skinIdIncrement){
		this.skinIdIncrement = skinIdIncrement;
		return this;
    }

    /**
    * 设置 皮肤id
    * @param skinIdList
    */
    public SkinFieldQuery skinIdList(List<Long> skinIdList){
        this.skinIdList = skinIdList;
		return this;
        }

    /**
    * 设置  模板id,不为空时为模板配置属性
    * @param templateId
    */
    public SkinFieldQuery templateId(Long templateId){
	    setTemplateId(templateId);
		return this;
    }
	
	 /**
    * 设置 开始 模板id,不为空时为模板配置属性
    * @param templateIdStart
    */
    public SkinFieldQuery templateIdStart(Long templateIdStart){
		this.templateIdStart = templateIdStart;
		return this;
    }

    /**
    * 设置 结束 模板id,不为空时为模板配置属性
    * @param templateIdEnd
    */
    public SkinFieldQuery templateIdEnd(Long templateIdEnd){
		this.templateIdEnd = templateIdEnd;
		return this;
    }

    /**
    * 设置 增加 模板id,不为空时为模板配置属性
    * @param templateIdIncrement
    */
    public SkinFieldQuery templateIdIncrement(Long templateIdIncrement){
		this.templateIdIncrement = templateIdIncrement;
		return this;
    }

    /**
    * 设置 模板id,不为空时为模板配置属性
    * @param templateIdList
    */
    public SkinFieldQuery templateIdList(List<Long> templateIdList){
        this.templateIdList = templateIdList;
		return this;
        }


	/**
    * 设置 字段编码
    * @param fieldCode
    */
    public SkinFieldQuery fieldCode(String fieldCode){
        setFieldCode(fieldCode);
		return this;
    }

    /**
    * 设置 字段编码
    * @param fieldCodeList
    */
    public SkinFieldQuery fieldCodeList(List<String> fieldCodeList){
        this.fieldCodeList = fieldCodeList;
		return this;
    }


	/**
    * 设置 字段名称
    * @param fieldName
    */
    public SkinFieldQuery fieldName(String fieldName){
        setFieldName(fieldName);
		return this;
    }

    /**
    * 设置 字段名称
    * @param fieldNameList
    */
    public SkinFieldQuery fieldNameList(List<String> fieldNameList){
        this.fieldNameList = fieldNameList;
		return this;
    }


	/**
    * 设置 数据类型（1.颜色，2.图片地址）
    * @param fieldType
    */
    public SkinFieldQuery fieldType(String fieldType){
        setFieldType(fieldType);
		return this;
    }

    /**
    * 设置 数据类型（1.颜色，2.图片地址）
    * @param fieldTypeList
    */
    public SkinFieldQuery fieldTypeList(List<String> fieldTypeList){
        this.fieldTypeList = fieldTypeList;
		return this;
    }


	/**
    * 设置 字段值
    * @param fieldValue
    */
    public SkinFieldQuery fieldValue(String fieldValue){
        setFieldValue(fieldValue);
		return this;
    }

    /**
    * 设置 字段值
    * @param fieldValueList
    */
    public SkinFieldQuery fieldValueList(List<String> fieldValueList){
        this.fieldValueList = fieldValueList;
		return this;
    }

    /**
    * 设置  数据长度，默认100
    * @param fieldLen
    */
    public SkinFieldQuery fieldLen(Integer fieldLen){
	    setFieldLen(fieldLen);
		return this;
    }
	
	 /**
    * 设置 开始 数据长度，默认100
    * @param fieldLenStart
    */
    public SkinFieldQuery fieldLenStart(Integer fieldLenStart){
		this.fieldLenStart = fieldLenStart;
		return this;
    }

    /**
    * 设置 结束 数据长度，默认100
    * @param fieldLenEnd
    */
    public SkinFieldQuery fieldLenEnd(Integer fieldLenEnd){
		this.fieldLenEnd = fieldLenEnd;
		return this;
    }

    /**
    * 设置 增加 数据长度，默认100
    * @param fieldLenIncrement
    */
    public SkinFieldQuery fieldLenIncrement(Integer fieldLenIncrement){
		this.fieldLenIncrement = fieldLenIncrement;
		return this;
    }

    /**
    * 设置 数据长度，默认100
    * @param fieldLenList
    */
    public SkinFieldQuery fieldLenList(List<Integer> fieldLenList){
        this.fieldLenList = fieldLenList;
		return this;
        }

    /**
    * 设置  是否允许为空，0否1是
    * @param fieldNull
    */
    public SkinFieldQuery fieldNull(Integer fieldNull){
	    setFieldNull(fieldNull);
		return this;
    }
	
	 /**
    * 设置 开始 是否允许为空，0否1是
    * @param fieldNullStart
    */
    public SkinFieldQuery fieldNullStart(Integer fieldNullStart){
		this.fieldNullStart = fieldNullStart;
		return this;
    }

    /**
    * 设置 结束 是否允许为空，0否1是
    * @param fieldNullEnd
    */
    public SkinFieldQuery fieldNullEnd(Integer fieldNullEnd){
		this.fieldNullEnd = fieldNullEnd;
		return this;
    }

    /**
    * 设置 增加 是否允许为空，0否1是
    * @param fieldNullIncrement
    */
    public SkinFieldQuery fieldNullIncrement(Integer fieldNullIncrement){
		this.fieldNullIncrement = fieldNullIncrement;
		return this;
    }

    /**
    * 设置 是否允许为空，0否1是
    * @param fieldNullList
    */
    public SkinFieldQuery fieldNullList(List<Integer> fieldNullList){
        this.fieldNullList = fieldNullList;
		return this;
        }


	/**
    * 设置 排序号
    * @param fieldOrderNo
    */
    public SkinFieldQuery fieldOrderNo(String fieldOrderNo){
        setFieldOrderNo(fieldOrderNo);
		return this;
    }

    /**
    * 设置 排序号
    * @param fieldOrderNoList
    */
    public SkinFieldQuery fieldOrderNoList(List<String> fieldOrderNoList){
        this.fieldOrderNoList = fieldOrderNoList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public SkinFieldQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public SkinFieldQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  是否启用，0否1是
    * @param enabled
    */
    public SkinFieldQuery enabled(Integer enabled){
	    setEnabled(enabled);
		return this;
    }
	
	 /**
    * 设置 开始 是否启用，0否1是
    * @param enabledStart
    */
    public SkinFieldQuery enabledStart(Integer enabledStart){
		this.enabledStart = enabledStart;
		return this;
    }

    /**
    * 设置 结束 是否启用，0否1是
    * @param enabledEnd
    */
    public SkinFieldQuery enabledEnd(Integer enabledEnd){
		this.enabledEnd = enabledEnd;
		return this;
    }

    /**
    * 设置 增加 是否启用，0否1是
    * @param enabledIncrement
    */
    public SkinFieldQuery enabledIncrement(Integer enabledIncrement){
		this.enabledIncrement = enabledIncrement;
		return this;
    }

    /**
    * 设置 是否启用，0否1是
    * @param enabledList
    */
    public SkinFieldQuery enabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public SkinFieldQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public SkinFieldQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public SkinFieldQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public SkinFieldQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public SkinFieldQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 设置  修改用户
    * @param updateUserId
    */
    public SkinFieldQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 修改用户
    * @param updateUserIdStart
    */
    public SkinFieldQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 修改用户
    * @param updateUserIdEnd
    */
    public SkinFieldQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 修改用户
    * @param updateUserIdIncrement
    */
    public SkinFieldQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 修改用户
    * @param updateUserIdList
    */
    public SkinFieldQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SkinFieldQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SkinFieldQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SkinFieldQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SkinFieldQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}