package com.mortals.xhx.module.skin.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.skin.model.vo.SkinTemplateVo;
/**
* 系统皮肤模板实体对象
*
* @author zxfei
* @date 2022-05-24
*/

public class SkinTemplateEntity extends SkinTemplateVo {
    private static final long serialVersionUID = 1L;

    /**
    * 产品ID
    */
    private Long productId;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * 模板名称
    */
    private String templateName;



    public SkinTemplateEntity(){}
    /**
    * 获取 产品ID
    * @return Long
    */
    public Long getProductId(){
        return productId;
    }
    /**
    * 设置 产品ID
    * @param productId
    */
    public void setProductId(Long productId){
        this.productId = productId;
    }
    /**
    * 获取 产品名称
    * @return String
    */
    public String getProductName(){
        return productName;
    }
    /**
    * 设置 产品名称
    * @param productName
    */
    public void setProductName(String productName){
        this.productName = productName;
    }
    /**
    * 获取 模板名称
    * @return String
    */
    public String getTemplateName(){
        return templateName;
    }
    /**
    * 设置 模板名称
    * @param templateName
    */
    public void setTemplateName(String templateName){
        this.templateName = templateName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SkinTemplateEntity) {
            SkinTemplateEntity tmp = (SkinTemplateEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",productId:").append(getProductId());
        sb.append(",productName:").append(getProductName());
        sb.append(",templateName:").append(getTemplateName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.productId = null;

            this.productName = "";

            this.templateName = "";
    }
}