package com.mortals.xhx.module.window.web;

import com.alibaba.fastjson.JSONObject;
import com.mortals.framework.util.DataUtil;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.framework.web.BasePhpCRUDJsonMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.window.model.WindowBusinessEntity;
import com.mortals.xhx.module.window.service.WindowBusinessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * 窗口业务
 *
 * @author zxfei
 * @date 2022-01-20
 */
@RestController
@RequestMapping("window/business")
public class WindowBusinessController extends BaseCRUDJsonBodyMappingController<WindowBusinessService, WindowBusinessEntity, Long> {

    @Autowired
    private ParamService paramService;

    public WindowBusinessController() {
        super.setFormClass(WindowBusinessForm.class);
        super.setModuleDesc("窗口业务");
    }



}