package com.mortals.xhx.module.menu.dao.ibatis;


import com.mortals.framework.model.ParamDto;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.menu.dao.MenuDao;
import com.mortals.xhx.module.menu.model.MenuEntity;

import java.util.Date;

import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;

import java.util.List;

/**
 * 菜单信息业务DaoImpl DAO接口
 *
 * @author zxfei
 * @date 2022-05-25
 */
@Repository("menuDao")
public class MenuDaoImpl extends BaseCRUDDaoMybatis<MenuEntity, Long> implements MenuDao {
    @Override
    public List<MenuEntity> selectMenuTreeByUserId(Long userId) {
        ParamDto param = new ParamDto();
        param.getCondition().put("userId", userId);
        return getSqlSession().selectList(getSqlId("selectMenuTreeByUserId"), param);

    }
}
