package com.mortals.xhx.module.menu.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.menu.model.MenuEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 菜单信息业务视图对象
*
* @author zxfei
* @date 2022-05-25
*/
@Data
public class MenuVo extends BaseEntityLong {
    private List<MenuEntity> childList = new ArrayList<>();
    /**
     * 一级菜单
     */
    private String firstLevel;

    /**
     * 一级菜单Id
     */
    private Long firstMenuId;

    /**
     * 二级菜单
     */
    private String secondLevel;

    /**
     * 二级菜单Id
     */
    private Long secondMenuId;

    /**
     * 三级菜单
     */
    private String thirdLevel;

    /**
     * 三级菜单Id
     */
    private Long thirdMenuId;

}