package com.mortals.xhx.module.role.web;

import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.role.model.RoleEntity;
import com.mortals.xhx.module.role.model.RoleQuery;
import com.mortals.xhx.module.role.service.RoleService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import com.alibaba.fastjson.JSONObject;

import java.util.Arrays;

import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import static com.mortals.framework.ap.SysConstains.*;

/**
 * 角色信息业务
 *
 * @author zxfei
 * @date 2022-05-25
 */
@RestController
@RequestMapping("role")
public class RoleController extends BaseCRUDJsonBodyMappingController<RoleService, RoleEntity, Long> {

    @Autowired
    private ParamService paramService;

    public RoleController() {
        super.setModuleDesc("角色信息业务");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "roleType", paramService.getParamBySecondOrganize("Role", "roleType"));
        super.init(model, context);
    }


}