package com.mortals.xhx.module.site.model;

import java.util.List;
import com.mortals.xhx.module.site.model.SiteAppsEntity;
/**
* 站点应用对照列查询对象
*
* @author zxfei
* @date 2022-06-22
*/
public class SiteAppsQuery extends SiteAppsEntity {
    /** 开始 主键,自增长 */
    private Long idStart;

    /** 结束 主键,自增长 */
    private Long idEnd;

    /** 增加 主键,自增长 */
    private Long idIncrement;

    /** 主键,自增长列表 */
    private List <Long> idList;

    /** 开始 站点ID，主键 */
    private Long siteIdStart;

    /** 结束 站点ID，主键 */
    private Long siteIdEnd;

    /** 增加 站点ID，主键 */
    private Long siteIdIncrement;

    /** 站点ID，主键列表 */
    private List <Long> siteIdList;

    /** 站点开通的应用 */
    private List<String> includAppsList;

    /** 站点排除的应用 */
    private List<String> excludeAppsList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SiteAppsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SiteAppsQuery> andConditionList;

    public SiteAppsQuery(){}

    /**
    * 获取 开始 主键,自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键,自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键,自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键,自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键,自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键,自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键,自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键,自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 站点ID，主键
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点ID，主键
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点ID，主键
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点ID，主键
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点ID，主键
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点ID，主键
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点ID，主键
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点ID，主键
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点开通的应用
    * @return includAppsList
    */
    public List<String> getIncludAppsList(){
        return this.includAppsList;
    }

    /**
    * 设置 站点开通的应用
    * @param includAppsList
    */
    public void setIncludAppsList(List<String> includAppsList){
        this.includAppsList = includAppsList;
    }
    /**
    * 获取 站点排除的应用
    * @return excludeAppsList
    */
    public List<String> getExcludeAppsList(){
        return this.excludeAppsList;
    }

    /**
    * 设置 站点排除的应用
    * @param excludeAppsList
    */
    public void setExcludeAppsList(List<String> excludeAppsList){
        this.excludeAppsList = excludeAppsList;
    }
    /**
    * 设置  主键,自增长
    * @param id
    */
    public SiteAppsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键,自增长
    * @param idStart
    */
    public SiteAppsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键,自增长
    * @param idEnd
    */
    public SiteAppsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键,自增长
    * @param idIncrement
    */
    public SiteAppsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键,自增长
    * @param idList
    */
    public SiteAppsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  站点ID，主键
    * @param siteId
    */
    public SiteAppsQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点ID，主键
    * @param siteIdStart
    */
    public SiteAppsQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点ID，主键
    * @param siteIdEnd
    */
    public SiteAppsQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点ID，主键
    * @param siteIdIncrement
    */
    public SiteAppsQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点ID，主键
    * @param siteIdList
    */
    public SiteAppsQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }


	/**
    * 设置 站点开通的应用
    * @param includApps
    */
    public SiteAppsQuery includApps(String includApps){
        setIncludApps(includApps);
		return this;
    }

    /**
    * 设置 站点开通的应用
    * @param includAppsList
    */
    public SiteAppsQuery includAppsList(List<String> includAppsList){
        this.includAppsList = includAppsList;
		return this;
    }


	/**
    * 设置 站点排除的应用
    * @param excludeApps
    */
    public SiteAppsQuery excludeApps(String excludeApps){
        setExcludeApps(excludeApps);
		return this;
    }

    /**
    * 设置 站点排除的应用
    * @param excludeAppsList
    */
    public SiteAppsQuery excludeAppsList(List<String> excludeAppsList){
        this.excludeAppsList = excludeAppsList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SiteAppsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SiteAppsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SiteAppsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SiteAppsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}