package com.mortals.xhx.module.uploadfile.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.uploadfile.model.vo.UploadfileVo;
/**
* 上传文件业务实体对象
*
* @author zxfei
* @date 2022-05-25
*/

public class UploadfileEntity extends UploadfileVo {
    private static final long serialVersionUID = 1L;

    /**
    * 文件名称
    */
    private String fileName;
    /**
    * 文件路径
    */
    private String filePath;
    /**
    * 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    */
    private Integer fileType;



    public UploadfileEntity(){}
    /**
    * 获取 文件名称
    * @return String
    */
    public String getFileName(){
        return fileName;
    }
    /**
    * 设置 文件名称
    * @param fileName
    */
    public void setFileName(String fileName){
        this.fileName = fileName;
    }
    /**
    * 获取 文件路径
    * @return String
    */
    public String getFilePath(){
        return filePath;
    }
    /**
    * 设置 文件路径
    * @param filePath
    */
    public void setFilePath(String filePath){
        this.filePath = filePath;
    }
    /**
    * 获取 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @return Integer
    */
    public Integer getFileType(){
        return fileType;
    }
    /**
    * 设置 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @param fileType
    */
    public void setFileType(Integer fileType){
        this.fileType = fileType;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof UploadfileEntity) {
            UploadfileEntity tmp = (UploadfileEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",fileName:").append(getFileName());
        sb.append(",filePath:").append(getFilePath());
        sb.append(",fileType:").append(getFileType());
        return sb.toString();
    }

    public void initAttrValue(){

            this.fileName = "";

            this.filePath = "";

            this.fileType = null;
    }
}