package com.mortals.xhx.module.uploadfile.model;

import java.util.List;
import com.mortals.xhx.module.uploadfile.model.UploadfileEntity;
/**
* 上传文件业务查询对象
*
* @author zxfei
* @date 2022-05-25
*/
public class UploadfileQuery extends UploadfileEntity {
    /** 开始 ID，主键，自增长 */
    private Long idStart;

    /** 结束 ID，主键，自增长 */
    private Long idEnd;

    /** 增加 ID，主键，自增长 */
    private Long idIncrement;

    /** ID，主键，自增长列表 */
    private List <Long> idList;

    /** 文件名称 */
    private List<String> fileNameList;

    /** 文件路径 */
    private List<String> filePathList;

    /** 开始 文件类型，(1.excel ,2. img,3.zip, 4.pdf) */
    private Integer fileTypeStart;

    /** 结束 文件类型，(1.excel ,2. img,3.zip, 4.pdf) */
    private Integer fileTypeEnd;

    /** 增加 文件类型，(1.excel ,2. img,3.zip, 4.pdf) */
    private Integer fileTypeIncrement;

    /** 文件类型，(1.excel ,2. img,3.zip, 4.pdf)列表 */
    private List <Integer> fileTypeList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户 */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<UploadfileQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<UploadfileQuery> andConditionList;

    public UploadfileQuery(){}

    /**
    * 获取 开始 ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 文件名称
    * @return fileNameList
    */
    public List<String> getFileNameList(){
        return this.fileNameList;
    }

    /**
    * 设置 文件名称
    * @param fileNameList
    */
    public void setFileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
    }
    /**
    * 获取 文件路径
    * @return filePathList
    */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
    * 设置 文件路径
    * @param filePathList
    */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }
    /**
    * 获取 开始 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @return fileTypeStart
    */
    public Integer getFileTypeStart(){
        return this.fileTypeStart;
    }

    /**
    * 设置 开始 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @param fileTypeStart
    */
    public void setFileTypeStart(Integer fileTypeStart){
        this.fileTypeStart = fileTypeStart;
    }

    /**
    * 获取 结束 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @return $fileTypeEnd
    */
    public Integer getFileTypeEnd(){
        return this.fileTypeEnd;
    }

    /**
    * 设置 结束 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @param fileTypeEnd
    */
    public void setFileTypeEnd(Integer fileTypeEnd){
        this.fileTypeEnd = fileTypeEnd;
    }

    /**
    * 获取 增加 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @return fileTypeIncrement
    */
    public Integer getFileTypeIncrement(){
        return this.fileTypeIncrement;
    }

    /**
    * 设置 增加 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @param fileTypeIncrement
    */
    public void setFileTypeIncrement(Integer fileTypeIncrement){
        this.fileTypeIncrement = fileTypeIncrement;
    }

    /**
    * 获取 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @return fileTypeList
    */
    public List<Integer> getFileTypeList(){
        return this.fileTypeList;
    }

    /**
    * 设置 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @param fileTypeList
    */
    public void setFileTypeList(List<Integer> fileTypeList){
        this.fileTypeList = fileTypeList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 创建用户
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }
    /**
    * 设置  ID，主键，自增长
    * @param id
    */
    public UploadfileQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 ID，主键，自增长
    * @param idStart
    */
    public UploadfileQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 ID，主键，自增长
    * @param idEnd
    */
    public UploadfileQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 ID，主键，自增长
    * @param idIncrement
    */
    public UploadfileQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 ID，主键，自增长
    * @param idList
    */
    public UploadfileQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 文件名称
    * @param fileName
    */
    public UploadfileQuery fileName(String fileName){
        setFileName(fileName);
		return this;
    }

    /**
    * 设置 文件名称
    * @param fileNameList
    */
    public UploadfileQuery fileNameList(List<String> fileNameList){
        this.fileNameList = fileNameList;
		return this;
    }


	/**
    * 设置 文件路径
    * @param filePath
    */
    public UploadfileQuery filePath(String filePath){
        setFilePath(filePath);
		return this;
    }

    /**
    * 设置 文件路径
    * @param filePathList
    */
    public UploadfileQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
		return this;
    }

    /**
    * 设置  文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @param fileType
    */
    public UploadfileQuery fileType(Integer fileType){
	    setFileType(fileType);
		return this;
    }
	
	 /**
    * 设置 开始 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @param fileTypeStart
    */
    public UploadfileQuery fileTypeStart(Integer fileTypeStart){
		this.fileTypeStart = fileTypeStart;
		return this;
    }

    /**
    * 设置 结束 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @param fileTypeEnd
    */
    public UploadfileQuery fileTypeEnd(Integer fileTypeEnd){
		this.fileTypeEnd = fileTypeEnd;
		return this;
    }

    /**
    * 设置 增加 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @param fileTypeIncrement
    */
    public UploadfileQuery fileTypeIncrement(Integer fileTypeIncrement){
		this.fileTypeIncrement = fileTypeIncrement;
		return this;
    }

    /**
    * 设置 文件类型，(1.excel ,2. img,3.zip, 4.pdf)
    * @param fileTypeList
    */
    public UploadfileQuery fileTypeList(List<Integer> fileTypeList){
        this.fileTypeList = fileTypeList;
		return this;
        }



	/**
    * 设置 创建用户
    * @param createUser
    */
    public UploadfileQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserList
    */
    public UploadfileQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<UploadfileQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<UploadfileQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<UploadfileQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<UploadfileQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}